import { Component } from '@angular/core';
import * as GC from "@grapecity/spread-sheets";
import * as Excel from "@grapecity/spread-excelio";
import "@grapecity/spread-sheets-charts";
GC.Spread.Sheets.LicenseKey = "stageapps.globeflexresearch.com|appsflv.globeflexresearch.com,485939718433373#A0wZSZi3GbHJiOiEmTDJCLiMzNzMzM4gTM7kzM9UDO4IiOiQWSiwSflNHbhZmOiI7ckJye0ICbuFkI1pjIEJCLi4TPBhkUoBTQuJVMTZFNRhTQ8pHczZmTvM4Qz3UOTZ5NCNkRXVUNsNVTPlWe53UMrMTZNJEVy3iQGF6RYxUeV3yR7lHd99WdYBjVzdHbyJmdGFldvZDSxxmI0IyUiwCOxYTO7YzN8QTM0IicfJye#4Xfd5nIzImNnJiOiMkIsISMx8idgMlSgQWYlJHcTJiOi8kI1tlOiQmcQJCLiUjMwETNwACNwUDM8EDMyIiOiQncDJCLiQDM5ATOxAjMiojIwhXRiwiIt36Yug6YyFWZzVmc8VGbmVmYvx6ZuYHbmNHcwFGLt36Yug6YyFWZzVmc8VGbmVmYvx6ZuMHcwFWZnFGdzJiOiMXbEJCLiEWak9WSgg6YyFWZzVmUxgGZ";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  spreadBackColor = 'aliceblue';
  sheetName = 'Goods List';
  hostStyle = {
    width: '800px',
    height: '600px'
  };
  data = [
    { Name: 'Apple', Category: 'Fruit', Price: 1, 'Shopping Place': 'Wal-Mart' },
    { Name: 'Potato', Category: 'Fruit', Price: 2.01, 'Shopping Place': 'Other' },
    { Name: 'Tomato', Category: 'Vegetable', Price: 3.21, 'Shopping Place': 'Other' },
    { Name: 'Sandwich', Category: 'Food', Price: 2, 'Shopping Place': 'Wal-Mart' },
    { Name: 'Hamburger', Category: 'Food', Price: 2, 'Shopping Place': 'Wal-Mart' },
    { Name: 'Grape', Category: 'Fruit', Price: 4, 'Shopping Place': 'Sun Store' }
  ];
  columnWidth = 100;

  workbookInit(args) {
    let spread: GC.Spread.Sheets.Workbook = args.spread;
    let sheet = spread.getActiveSheet();
    sheet.getCell(0, 0).text("My SpreadJS Angular Project").foreColor("blue");
  }
}